import java.awt.*;

import static org.junit.Assert.*;
import org.junit.*;

public class CircleTest {
  private Circle testCircle;

  @Before
  public void init() {
    testCircle = new Circle(new Point(0, 0), 5);
  }

  @Test
  public void testGetRadius() {
    assertEquals(5, testCircle.getRadius());
  }

  @Test
  public void testGetCenter() {
    assertEquals(new Point(0, 0), testCircle.getCenter());
  }

  @Test
  public void testAddRadius() {
    testCircle.addRadius(50);
    assertEquals(55, testCircle.getRadius());
  }

  @Test(expected = IllegalArgumentException.class)
  public void testConstructNegativeRadius() {
    Circle testCircle2 = new Circle(new Point(3, 3), -5);
  }

  @Test(expected = IllegalArgumentException.class)
  public void testConstructNullPoint() {
    Circle testCircle3 = new Circle(null, 5);
  }
}